Subject: bug#19403: 25.0.50; GTK - emacs icon missing on new frames

From: Matt Lundin <[email-masked]>
Date: Wed, 17 Dec 2014 19:04:53 -0600

Matt Lundin <[email-masked]> writes

> On archlinux with the openbox window manager, I start development emacs
> (compiled with --with-xtoolkit=gtk3)...
>
> /usr/bin/emacs -Q
>
> The first frame opened has the emacs icon. But if I open a new frame
> with...
>
> C-x 5 2 (make-frame-command)
>
> ...the emacs icon is missing.
>
> Emacs 24.4 does not exhibit this behavior.

I should add that development emacs compiled with
"--with-x-toolkit=lucid" also does not exhibit this behavior. In other
words, with lucid, the emacs icon appears in the title bars of all
frames.

Matt